import * as React from "react";
import { SpectrumDialogProps, SpectrumAlertDialogProps, SpectrumDialogTriggerProps } from "@react-ui-types/dialog";
import { ConfirmProps } from "@react-ui-types/overlays";
export interface DialogProps extends SpectrumDialogProps {
    scrolled?: boolean;
    headingClassName?: string;
    headerClassName?: string;
    heroClassName?: string;
    typeIconClassName?: string;
    dividerClassName?: string;
    contentClassName?: string;
    footerClassName?: string;
    buttonGroupClassName?: string;
}
/**
 * Dialogs are windows containing contextual information, tasks, or workflows that appear over the user interface.
 * Depending on the kind of Dialog, further interactions may be blocked until the Dialog is acknowledged.
 */
export let Dialog: React.ForwardRefExoticComponent<DialogProps & React.RefAttributes<import("@react-ui-types/shared").DOMRefValue<HTMLElement>>>;
/**
 * AlertDialogs are a specific type of Dialog. They display important information that users need to acknowledge.
 */
export let AlertDialog: React.ForwardRefExoticComponent<SpectrumAlertDialogProps & React.RefAttributes<import("@react-ui-types/shared").DOMRefValue<HTMLElement>>>;
export interface DialogTriggerProps extends SpectrumDialogTriggerProps {
    scrollContent?: boolean;
    closeConfirm?: boolean;
    confirmProps?: ConfirmProps;
}
/**
 * DialogTrigger serves as a wrapper around a Dialog and its associated trigger, linking the Dialog's
 * open state with the trigger's press state. Additionally, it allows you to customize the type and
 * positioning of the Dialog.
 */
export let DialogTrigger: (props: DialogTriggerProps) => JSX.Element;

//# sourceMappingURL=types.d.ts.map
